<?php
/*
Template Name: Archives
*/
?>
<?php get_header(); ?>
<div id="contentWrap">
<div id="archiveTitle">
<?php if (have_posts()) : ?>
<?php $post = $posts[0]; // Hack. Set $post so that the_date() works. ?>
<?php if (is_category()) { ?>				
<h2>Archive for '<?php echo single_cat_title(); ?>'</h2>
<?php }elseif (is_day()) { ?>
Archive for <?php the_time('F jS, Y'); ?></h2>
<?php }elseif (is_month()) { ?>
<h2>Archive for <?php the_time('F, Y'); ?></h2>
<?php }elseif (is_year()) { ?>
<h2>Archive for <?php the_time('Y'); ?></h2>
<?php }elseif (is_search()) { ?>
<h2>Search Results</h2>
<?php }elseif (is_author()) { ?>
<h2>Author Archive</h2>
<?php }elseif (isset($_GET['paged']) && !empty($_GET['paged'])) { ?>
<h2>Blog Archives</h2>
<?php } ?>
</div><!-- close archiveTitle -->
<?php while (have_posts()) : the_post(); ?>
<div class="post" id="post-<?php the_ID(); ?>">
<div class="postDate">
<h3><?php the_date(); ?></h3>
</div><!-- close .postDate -->
<div class="postContent">
<h4 class="title"><?php the_title(); ?></h4>
<?php  the_content('continue reading <?php the_title(); ?>.'); ?>
<p class="info"><a href="<?php the_permalink(); ?>"><?php the_permalink(); ?></a></p>
</div><!-- close .postContent -->
</div><!-- close .post -->
<?php endwhile; ?>
<?php else : ?>
<div class="post" id="error">
<div class="postDate">
<h3>oops</h3>
</div><!-- close .postDate -->
<div class="postContent">
<h4 class="title">It looks like you messed up big time!</h4>
<p>The page you just tried to reach does not exist. It may have been taken down, or you may have mispelled something. Try searching for what you are looking for.</p>
<?php include (TEMPLATEPATH . "/searchform.php"); ?>
</div><!-- close .postContent -->
</div><!-- close .post -->
<?php endif; ?>
</div><!-- close #contentWrap -->
<?php get_sidebar(); ?>
<?php get_footer(); ?>